Cost:10 credits / successful request. A profile that does not exist is answered "message": "Person does not exist.", "error_code": "profile_not_found", "retryable": false, and is charged like a successful request; a lookup that fails for a temporary reason is not charged.This endpoint retrieves the recent activity of a LinkedIn person profile based on the provided LinkedIn URL. The response includes details about the person’s posts, including text, attachments, reactions, and more.
Person activity endpoint
This endpoint allows you to get structured data of a LinkedIn Person Profile’s activity.
Required attributes
string
required
The LinkedIn profile URL of the person whose activity you want to retrieve.
Optional attributes
string
Alters the type of posts to be fetched.
posts The default behavior. Fetches all posts and reposts for the profile.
comments - Fetch only posts which the profile commented on.
reactions - Fetch only posts which the profile reacted to.
articles - Fetch only articles posted by the profile.
string
Use this parameter to paginate through results. Use the cursor returned from your previous request.
This contains the structured data of a person’s recent activity on LinkedIn.
Properties
string
Pagination token for fetching more activities. Use this in the next request to get the next page. The cursor stays set until the page after the last item, so keep requesting until a page comes back empty or without a cursor. That final empty page is not charged. Page size varies, up to about 100, and a short page can appear in the middle of a list, so the number of items does not tell you a page is the last one.
array
List of activity items (posts, comments, reactions, articles).
Show Activity object
Activity Details
string
Type of activity: “Post” or “Repost”. When “Repost”, the activity only contains a shared_post object.
string
Text content of the activity (only present for “Post” activity_type).
string
LinkedIn URL of the activity (only present for “Post” activity_type).
string
Unique LinkedIn URN identifier for the activity (only present for “Post” activity_type).
string
ISO 8601 timestamp when the activity was created (only present for “Post” activity_type).
string
Direct shareable URL for the activity (only present for “Post” activity_type).
string
The post’s share-side URN, urn:li:share:<id> or urn:li:ugcPost:<id>: the same post as urn under a different number. Empty string when it was not returned for the post (only present for “Post” activity_type).
object | null
The job the post shares (“Check out this job at …”), or null when it shares none (only present for “Post” activity_type).
Show Job object
string
LinkedIn job id.
string
Job title.
string
Hiring company’s name.
string
Hiring company’s logo URL.
string
Job location as LinkedIn shows it.
string
"On-site", "Remote" or "Hybrid", when given.
string
Link to the job posting.
Activity Type
boolean
Whether this activity is a repost/share (only present for “Post” activity_type).
Activity Author (For “Post” type only)
object
Details about the activity author (only present for “Post” activity_type).
Show Author object
string
Author’s name.
string
Author’s LinkedIn headline.
string
Author’s LinkedIn username.
string
Author type (“Member” or “Company”).
string
LinkedIn profile/page URL.
string
Profile picture URL.
string
Company logo URL (for Company type).
string
Author’s URN: urn:li:fsd_profile:<ACoA…> for a member, urn:li:fsd_company:<id> for a company. Empty string when it could not be read.
string
Author’s numeric LinkedIn id: the member id for a person, the company id for a company. Empty string when it could not be read.
Attachments (For “Post” type only)
array
List of media attachments (only present for “Post” activity_type, can be null).
Show Attachment object
string
Type of attachment: “Article”, “Video”, “ExternalVideo”, “Image”, “Document”, etc.
string
URL of the attachment or article.
string
Title of the attachment.
string
Subtitle or source.
string
Description or caption.
string
Attachment URN identifier.
number
Video duration in milliseconds (for Video type).
string
Website domain (for ExternalVideo/Article types).
object
Navigation context with action_target URL (for ExternalVideo type).
Engagement Metrics (For “Post” type only)
number
Total number of likes/reactions (only present for “Post” activity_type).
number
Number of comments (only present for “Post” activity_type).
number
Number of shares/reposts (only present for “Post” activity_type).
array
Breakdown of reactions by type (only present for “Post” activity_type).
Show Reaction object
number
Number of this reaction type.
string
Type of reaction: “LIKE”, “PRAISE”, “EMPATHY”, “INTEREST”, “APPRECIATION”, “ENTERTAINMENT”, “MAYBE”, “FUNNY”.
Mentions & Shares (For “Post” type only)
array
List of @mentioned users/companies in the activity (only present for “Post” activity_type).
Show Mention object
string
URN of the mentioned profile/company.
string
Name of the mentioned entity (when available).
Comment mentions (For “Comment” and “Reply” types)
object
The comment itself. Its mentions array lists the people and companies tagged in the comment text, with the same fields as a post mention plus type ("profileMention" or "companyMention"). The top-level mentions on these items describes the post, not the comment.
object
Details of the shared/reposted content. For “Post” activity_type, this field is optional and contains details if the post is sharing another post. For “Repost” activity_type, this is the only content field present.
Show Shared post object
array
Attachments from the original post.
object
Original post author information.
string
Original post text content.
string
Original post URL.
string
Original post URN.
string
When the original post was created.
number
Original post likes count.
number
Original post comments count.
number
Original post shares count.
array
Original post reactions breakdown.
string
Original post shareable URL.
object
Nested shared post (if the original was also a share).
boolean
Whether the original post was a repost.
array
Mentions in the original post.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Datamagnet API","description":"Learn everything there is to know about the Datamagnet API and integrate Datamagnet into your product.","colors":{"primary":"#10b981","light":"#34d399","dark":"#059669"},"logo":{"light":"https://mintcdn.com/datamagnet/SW4nLtirTM2YPsD9/logo/logo.svg?fit=max\u0026auto=format\u0026n=SW4nLtirTM2YPsD9\u0026q=85\u0026s=357a8b0e19b9716ef9f49fffcb91764e","dark":"https://mintcdn.com/datamagnet/SW4nLtirTM2YPsD9/logo/logo.svg?fit=max\u0026auto=format\u0026n=SW4nLtirTM2YPsD9\u0026q=85\u0026s=357a8b0e19b9716ef9f49fffcb91764e"},"favicon":"https://mintcdn.com/datamagnet/Te85XCZXrXqMYoCk/logo/favicon.png?fit=max\u0026auto=format\u0026n=Te85XCZXrXqMYoCk\u0026q=85\u0026s=f6a67aa9db0be06077aca1f4c444022d","api":{"playground":{"display":"interactive"},"mdx":{"auth":{"method":"bearer"},"server":"https://api.datamagnet.co"}},"appearance":{"default":"light","strict":false},"background":{"decoration":"gradient"},"navbar":{"links":[{"href":"https://datamagnet.co/auth/register","label":"Register for API"}],"primary":{"type":"button","label":"Dashboard","href":"https://datamagnet.co/app/api-keys"}},"footer":{"socials":{"linkedin":"https://linkedin.com/company/datamagnet-co"}},"search":{"prompt":"Find something..."},"styling":{"eyebrows":"breadcrumbs","latex":false},"integrations":{"ga4":{"measurementId":"G-5YQ8KLR3J7"},"gtm":{"tagId":"GTM-KNM5ZQPB"},"intercom":{"appId":"njr64ahv"},"posthog":{"apiKey":"phc_IRc9k1hAzVslo9KFV5iOxrfBoPkrPRoVNC3OJ7rM1IV","apiHost":"https://posthog-analytics-proxy.datachroma.workers.dev"}},"contextual":{"options":["copy","chatgpt","claude","perplexity","grok","aistudio","mcp"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"datamagnet","hasAudioNarration":false,"actualSubdomain":"datamagnet","customDomains":["docs.datamagnet.co"],"gitSource":{"type":"github","owner":"pratik-dani","repo":"data-collection","deployBranch":"main","contentDirectory":"datamagnet-docs","isPrivate":true,"mountPath":"","label":""},"feedback":{"edits":true,"issues":true,"thumbs":true,"agentFeedback":true},"entitlements":{},"buildId":"6afc97fdf2f24031833d0870","clientVersion":"0.0.4177","searchFilterCounts":[{"language":"default","tag":"API Reference","count":46},{"language":"default","tag":"Changelog","count":18},{"language":"default","tag":"Getting Started","count":16},{"language":"default","tag":"Guides","count":11},{"language":"default","tag":"Cookbooks","count":9},{"language":"default","tag":"Concepts","count":6},{"language":"default","tag":"Posts","count":5},{"language":"default","tag":"Signals","count":5},{"language":"default","tag":"Company","count":3},{"language":"default","tag":"ICP Search","count":3}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":".card{transition:all 0.2s ease;border-radius:8px}.card:hover{transform:translateY(-2px)}*:focus-visible{outline:2px solid #10b981;outline-offset:2px}"}],"page":{"pagePath":"api-reference/endpoints/people-activity","slug":"/api-reference/endpoints/people-activity","pageMetadata":{"title":"Person Activity","api":"POST https://api.datamagnet.co/api/v1/person/activity","description":"Retrieve a LinkedIn member's recent activity by profile URL, including posts, comments, likes, and shares for engagement monitoring workflows.","href":"/api-reference/endpoints/people-activity"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve a LinkedIn member’s recent activity by profile URL, including posts, comments, likes, and shares for engagement monitoring workflows.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`1`,id:`person-activity`,children:`Person Activity`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Cost:`}),` `,_jsx(_components.code,{children:`10`}),` credits / successful request. A profile that does not exist is answered `,_jsx(_components.code,{children:`\"message\": \"Person does not exist.\"`}),`, `,_jsx(_components.code,{children:`\"error_code\": \"profile_not_found\"`}),`, `,_jsx(_components.code,{children:`\"retryable\": false`}),`, and is charged like a successful request; a lookup that fails for a temporary reason is not charged.`]}),`\n`,_jsx(_components.p,{children:`This endpoint retrieves the recent activity of a LinkedIn person profile based on the provided LinkedIn URL. The response includes details about the person’s posts, including text, attachments, reactions, and more.`}),`\n`,_jsx(Heading,{level:`2`,id:`person-activity-endpoint`,children:`Person activity endpoint`}),`\n`,_jsx(_components.p,{children:`This endpoint allows you to get structured data of a LinkedIn Person Profile’s activity.`}),`\n`,_jsx(Heading,{level:`3`,id:`required-attributes`,children:`Required attributes`}),`\n`,_jsx(ParamField,{body:`url`,type:`string`,required:true,id:`param-url`,children:_jsx(_components.p,{children:`The LinkedIn profile URL of the person whose activity you want to retrieve.`})}),`\n`,_jsx(Heading,{level:`3`,id:`optional-attributes`,children:`Optional attributes`}),`\n`,_jsxs(ParamField,{body:`type`,type:`string`,id:`param-type`,children:[_jsx(_components.p,{children:`Alters the type of posts to be fetched.`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`posts`}),` The default behavior. Fetches all posts and reposts for the profile.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`comments`}),` - Fetch only posts which the profile commented on.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`reactions`}),` - Fetch only posts which the profile reacted to.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`articles`}),` - Fetch only articles posted by the profile.`]}),`\n`]})]}),`\n`,_jsx(ParamField,{body:`cursor`,type:`string`,id:`param-cursor`,children:_jsx(_components.p,{children:`Use this parameter to paginate through results. Use the cursor returned from your previous request.`})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,`\n`,_jsx(Heading,{level:`2`,id:`the-person-activity-model`,children:`The person activity model`}),`\n`,_jsx(_components.p,{children:`This contains the structured data of a person’s recent activity on LinkedIn.`}),`\n`,_jsx(Heading,{level:`3`,id:`properties`,children:`Properties`}),`\n`,_jsx(ResponseField,{name:`cursor`,type:`string`,id:`param-cursor-1`,children:_jsx(_components.p,{children:`Pagination token for fetching more activities. Use this in the next request to get the next page. The cursor stays set until the page after the last item, so keep requesting until a page comes back empty or without a cursor. That final empty page is not charged. Page size varies, up to about 100, and a short page can appear in the middle of a list, so the number of items does not tell you a page is the last one.`})}),`\n`,_jsxs(ResponseField,{name:`message`,type:`array`,id:`param-message`,children:[_jsx(_components.p,{children:`List of activity items (posts, comments, reactions, articles).`}),_jsxs(Expandable,{title:`Activity object`,children:[_jsx(Heading,{level:`4`,id:`activity-details`,children:`Activity Details`}),_jsx(ResponseField,{name:`activity_type`,type:`string`,id:`param-activity-type`,children:_jsxs(_components.p,{children:[`Type of activity: “Post” or “Repost”. When “Repost”, the activity only contains a `,_jsx(_components.code,{children:`shared_post`}),` object.`]})}),_jsx(ResponseField,{name:`text`,type:`string`,id:`param-text`,children:_jsx(_components.p,{children:`Text content of the activity (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`url`,type:`string`,id:`param-url-1`,children:_jsx(_components.p,{children:`LinkedIn URL of the activity (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`urn`,type:`string`,id:`param-urn`,children:_jsx(_components.p,{children:`Unique LinkedIn URN identifier for the activity (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at`,children:_jsx(_components.p,{children:`ISO 8601 timestamp when the activity was created (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`share_url`,type:`string`,id:`param-share-url`,children:_jsx(_components.p,{children:`Direct shareable URL for the activity (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`share_urn`,type:`string`,id:`param-share-urn`,children:_jsxs(_components.p,{children:[`The post’s share-side URN, `,_jsx(_components.code,{children:`urn:li:share:\u003cid>`}),` or `,_jsx(_components.code,{children:`urn:li:ugcPost:\u003cid>`}),`: the same post as `,_jsx(_components.code,{children:`urn`}),` under a different number. Empty string when it was not returned for the post (only present for “Post” activity_type).`]})}),_jsxs(ResponseField,{name:`job`,type:`object | null`,id:`param-job`,children:[_jsxs(_components.p,{children:[`The job the post shares (“Check out this job at …”), or `,_jsx(_components.code,{children:`null`}),` when it shares none (only present for “Post” activity_type).`]}),_jsxs(Expandable,{title:`Job object`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id`,children:_jsx(_components.p,{children:`LinkedIn job id.`})}),_jsx(ResponseField,{name:`title`,type:`string`,id:`param-title`,children:_jsx(_components.p,{children:`Job title.`})}),_jsx(ResponseField,{name:`company`,type:`string`,id:`param-company`,children:_jsx(_components.p,{children:`Hiring company’s name.`})}),_jsx(ResponseField,{name:`company_logo`,type:`string`,id:`param-company-logo`,children:_jsx(_components.p,{children:`Hiring company’s logo URL.`})}),_jsx(ResponseField,{name:`location`,type:`string`,id:`param-location`,children:_jsx(_components.p,{children:`Job location as LinkedIn shows it.`})}),_jsx(ResponseField,{name:`workplace_type`,type:`string`,id:`param-workplace-type`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`\"On-site\"`}),`, `,_jsx(_components.code,{children:`\"Remote\"`}),` or `,_jsx(_components.code,{children:`\"Hybrid\"`}),`, when given.`]})}),_jsx(ResponseField,{name:`url`,type:`string`,id:`param-url-2`,children:_jsx(_components.p,{children:`Link to the job posting.`})})]})]}),_jsx(Heading,{level:`4`,id:`activity-type`,children:`Activity Type`}),_jsx(ResponseField,{name:`is_repost`,type:`boolean`,id:`param-is-repost`,children:_jsx(_components.p,{children:`Whether this activity is a repost/share (only present for “Post” activity_type).`})}),_jsx(Heading,{level:`4`,id:`activity-author-for-%E2%80%9Cpost%E2%80%9D-type-only`,children:`Activity Author (For “Post” type only)`}),_jsxs(ResponseField,{name:`author`,type:`object`,id:`param-author`,children:[_jsx(_components.p,{children:`Details about the activity author (only present for “Post” activity_type).`}),_jsxs(Expandable,{title:`Author object`,children:[_jsx(ResponseField,{name:`title`,type:`string`,id:`param-title-1`,children:_jsx(_components.p,{children:`Author’s name.`})}),_jsx(ResponseField,{name:`occupation`,type:`string`,id:`param-occupation`,children:_jsx(_components.p,{children:`Author’s LinkedIn headline.`})}),_jsx(ResponseField,{name:`public_identifier`,type:`string`,id:`param-public-identifier`,children:_jsx(_components.p,{children:`Author’s LinkedIn username.`})}),_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type-1`,children:_jsx(_components.p,{children:`Author type (“Member” or “Company”).`})}),_jsx(ResponseField,{name:`url`,type:`string`,id:`param-url-3`,children:_jsx(_components.p,{children:`LinkedIn profile/page URL.`})}),_jsx(ResponseField,{name:`image_url`,type:`string`,id:`param-image-url`,children:_jsx(_components.p,{children:`Profile picture URL.`})}),_jsx(ResponseField,{name:`logo`,type:`string`,id:`param-logo`,children:_jsx(_components.p,{children:`Company logo URL (for Company type).`})}),_jsx(ResponseField,{name:`urn`,type:`string`,id:`param-urn-1`,children:_jsxs(_components.p,{children:[`Author’s URN: `,_jsx(_components.code,{children:`urn:li:fsd_profile:\u003cACoA…>`}),` for a member, `,_jsx(_components.code,{children:`urn:li:fsd_company:\u003cid>`}),` for a company. Empty string when it could not be read.`]})}),_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`,children:_jsx(_components.p,{children:`Author’s numeric LinkedIn id: the member id for a person, the company id for a company. Empty string when it could not be read.`})})]})]}),_jsx(Heading,{level:`4`,id:`attachments-for-%E2%80%9Cpost%E2%80%9D-type-only`,children:`Attachments (For “Post” type only)`}),_jsxs(ResponseField,{name:`attachments`,type:`array`,id:`param-attachments`,children:[_jsx(_components.p,{children:`List of media attachments (only present for “Post” activity_type, can be null).`}),_jsxs(Expandable,{title:`Attachment object`,children:[_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type-2`,children:_jsx(_components.p,{children:`Type of attachment: “Article”, “Video”, “ExternalVideo”, “Image”, “Document”, etc.`})}),_jsx(ResponseField,{name:`url`,type:`string`,id:`param-url-4`,children:_jsx(_components.p,{children:`URL of the attachment or article.`})}),_jsx(ResponseField,{name:`title`,type:`string`,id:`param-title-2`,children:_jsx(_components.p,{children:`Title of the attachment.`})}),_jsx(ResponseField,{name:`subtitle`,type:`string`,id:`param-subtitle`,children:_jsx(_components.p,{children:`Subtitle or source.`})}),_jsx(ResponseField,{name:`text`,type:`string`,id:`param-text-1`,children:_jsx(_components.p,{children:`Description or caption.`})}),_jsx(ResponseField,{name:`urn`,type:`string`,id:`param-urn-2`,children:_jsx(_components.p,{children:`Attachment URN identifier.`})}),_jsx(ResponseField,{name:`duration`,type:`number`,id:`param-duration`,children:_jsx(_components.p,{children:`Video duration in milliseconds (for Video type).`})}),_jsx(ResponseField,{name:`website`,type:`string`,id:`param-website`,children:_jsx(_components.p,{children:`Website domain (for ExternalVideo/Article types).`})}),_jsx(ResponseField,{name:`navigation_context`,type:`object`,id:`param-navigation-context`,children:_jsx(_components.p,{children:`Navigation context with action_target URL (for ExternalVideo type).`})})]})]}),_jsx(Heading,{level:`4`,id:`engagement-metrics-for-%E2%80%9Cpost%E2%80%9D-type-only`,children:`Engagement Metrics (For “Post” type only)`}),_jsx(ResponseField,{name:`likes`,type:`number`,id:`param-likes`,children:_jsx(_components.p,{children:`Total number of likes/reactions (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`comments`,type:`number`,id:`param-comments`,children:_jsx(_components.p,{children:`Number of comments (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`shares`,type:`number`,id:`param-shares`,children:_jsx(_components.p,{children:`Number of shares/reposts (only present for “Post” activity_type).`})}),_jsxs(ResponseField,{name:`reactions`,type:`array`,id:`param-reactions`,children:[_jsx(_components.p,{children:`Breakdown of reactions by type (only present for “Post” activity_type).`}),_jsxs(Expandable,{title:`Reaction object`,children:[_jsx(ResponseField,{name:`count`,type:`number`,id:`param-count`,children:_jsx(_components.p,{children:`Number of this reaction type.`})}),_jsx(ResponseField,{name:`reaction_type`,type:`string`,id:`param-reaction-type`,children:_jsx(_components.p,{children:`Type of reaction: “LIKE”, “PRAISE”, “EMPATHY”, “INTEREST”, “APPRECIATION”, “ENTERTAINMENT”, “MAYBE”, “FUNNY”.`})})]})]}),_jsx(Heading,{level:`4`,id:`mentions-%26-shares-for-%E2%80%9Cpost%E2%80%9D-type-only`,children:`Mentions \u0026 Shares (For “Post” type only)`}),_jsxs(ResponseField,{name:`mentions`,type:`array`,id:`param-mentions`,children:[_jsx(_components.p,{children:`List of @mentioned users/companies in the activity (only present for “Post” activity_type).`}),_jsxs(Expandable,{title:`Mention object`,children:[_jsx(ResponseField,{name:`entity_urn`,type:`string`,id:`param-entity-urn`,children:_jsx(_components.p,{children:`URN of the mentioned profile/company.`})}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`Name of the mentioned entity (when available).`})})]})]}),_jsx(Heading,{level:`4`,id:`comment-mentions-for-%E2%80%9Ccomment%E2%80%9D-and-%E2%80%9Creply%E2%80%9D-types`,children:`Comment mentions (For “Comment” and “Reply” types)`}),_jsx(ResponseField,{name:`comment`,type:`object`,id:`param-comment`,children:_jsxs(_components.p,{children:[`The comment itself. Its `,_jsx(_components.code,{children:`mentions`}),` array lists the people and companies tagged in the comment text, with the same fields as a post mention plus `,_jsx(_components.code,{children:`type`}),` (`,_jsx(_components.code,{children:`\"profileMention\"`}),` or `,_jsx(_components.code,{children:`\"companyMention\"`}),`). The top-level `,_jsx(_components.code,{children:`mentions`}),` on these items describes the post, not the comment.`]})}),_jsxs(ResponseField,{name:`shared_post`,type:`object`,id:`param-shared-post`,children:[_jsx(_components.p,{children:`Details of the shared/reposted content. For “Post” activity_type, this field is optional and contains details if the post is sharing another post. For “Repost” activity_type, this is the only content field present.`}),_jsxs(Expandable,{title:`Shared post object`,children:[_jsx(ResponseField,{name:`attachments`,type:`array`,id:`param-attachments-1`,children:_jsx(_components.p,{children:`Attachments from the original post.`})}),_jsx(ResponseField,{name:`author`,type:`object`,id:`param-author-1`,children:_jsx(_components.p,{children:`Original post author information.`})}),_jsx(ResponseField,{name:`text`,type:`string`,id:`param-text-2`,children:_jsx(_components.p,{children:`Original post text content.`})}),_jsx(ResponseField,{name:`url`,type:`string`,id:`param-url-5`,children:_jsx(_components.p,{children:`Original post URL.`})}),_jsx(ResponseField,{name:`urn`,type:`string`,id:`param-urn-3`,children:_jsx(_components.p,{children:`Original post URN.`})}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at-1`,children:_jsx(_components.p,{children:`When the original post was created.`})}),_jsx(ResponseField,{name:`likes`,type:`number`,id:`param-likes-1`,children:_jsx(_components.p,{children:`Original post likes count.`})}),_jsx(ResponseField,{name:`comments`,type:`number`,id:`param-comments-1`,children:_jsx(_components.p,{children:`Original post comments count.`})}),_jsx(ResponseField,{name:`shares`,type:`number`,id:`param-shares-1`,children:_jsx(_components.p,{children:`Original post shares count.`})}),_jsx(ResponseField,{name:`reactions`,type:`array`,id:`param-reactions-1`,children:_jsx(_components.p,{children:`Original post reactions breakdown.`})}),_jsx(ResponseField,{name:`share_url`,type:`string`,id:`param-share-url-1`,children:_jsx(_components.p,{children:`Original post shareable URL.`})}),_jsx(ResponseField,{name:`shared_post`,type:`object`,id:`param-shared-post-1`,children:_jsx(_components.p,{children:`Nested shared post (if the original was also a share).`})}),_jsx(ResponseField,{name:`is_repost`,type:`boolean`,id:`param-is-repost-1`,children:_jsx(_components.p,{children:`Whether the original post was a repost.`})}),_jsx(ResponseField,{name:`mentions`,type:`array`,id:`param-mentions-1`,children:_jsx(_components.p,{children:`Mentions in the original post.`})})]})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Person Activity","api":"POST https://api.datamagnet.co/api/v1/person/activity","description":"Retrieve a LinkedIn member's recent activity by profile URL, including posts, comments, likes, and shares for engagement monitoring workflows.","href":"/api-reference/endpoints/people-activity"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`1`,id:`person-activity`,children:`Person Activity`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Cost:`}),` `,_jsx(_components.code,{children:`10`}),` credits / successful request. A profile that does not exist is answered `,_jsx(_components.code,{children:`\"message\": \"Person does not exist.\"`}),`, `,_jsx(_components.code,{children:`\"error_code\": \"profile_not_found\"`}),`, `,_jsx(_components.code,{children:`\"retryable\": false`}),`, and is charged like a successful request; a lookup that fails for a temporary reason is not charged.`]}),`\n`,_jsx(_components.p,{children:`This endpoint retrieves the recent activity of a LinkedIn person profile based on the provided LinkedIn URL. The response includes details about the person’s posts, including text, attachments, reactions, and more.`}),`\n`,_jsx(Heading,{level:`2`,id:`person-activity-endpoint`,children:`Person activity endpoint`}),`\n`,_jsx(_components.p,{children:`This endpoint allows you to get structured data of a LinkedIn Person Profile’s activity.`}),`\n`,_jsx(Heading,{level:`3`,id:`required-attributes`,children:`Required attributes`}),`\n`,_jsx(ParamField,{body:`url`,type:`string`,required:true,id:`param-url`,children:_jsx(_components.p,{children:`The LinkedIn profile URL of the person whose activity you want to retrieve.`})}),`\n`,_jsx(Heading,{level:`3`,id:`optional-attributes`,children:`Optional attributes`}),`\n`,_jsxs(ParamField,{body:`type`,type:`string`,id:`param-type`,children:[_jsx(_components.p,{children:`Alters the type of posts to be fetched.`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`posts`}),` The default behavior. Fetches all posts and reposts for the profile.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`comments`}),` - Fetch only posts which the profile commented on.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`reactions`}),` - Fetch only posts which the profile reacted to.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`articles`}),` - Fetch only articles posted by the profile.`]}),`\n`]})]}),`\n`,_jsx(ParamField,{body:`cursor`,type:`string`,id:`param-cursor`,children:_jsx(_components.p,{children:`Use this parameter to paginate through results. Use the cursor returned from your previous request.`})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Response`,numberOfLines:`111`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`111`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"cursor\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"eyJjb3VudCI6MTAwLCJzdGFydCI6MTAwLCJwYWdpbmF0aW9uVG9rZW4i...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"activity_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Post\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"attachments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"author\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"image_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://media.licdn.com/dms/image/...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"occupation\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Head of Talent, Anthropic\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"public_identifier\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"gouldjames\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Jimmy Gould\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Member\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://linkedin.com/in/gouldjames\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"urn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"urn:li:fsd_profile:ACoAAAANoqwBhs9WE_vNa9Ias3JiEUUO0F4iTDk\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"comments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-12-05T22:37:37.579Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_repost\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"likes\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`110`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"mentions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"entity_urn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"urn:li:fsd_profile:ACoAAAXCzi8BikDXxPm2lUfNvihMqKmhvKGmrpw\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"reactions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`73`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"reaction_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"LIKE\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`23`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"reaction_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"EMPATHY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`9`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"reaction_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"INTEREST\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"share_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.linkedin.com/posts/gouldjames_...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"shared_post\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"attachments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"subtitle\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"anthropic.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Guidance on Candidates' AI Usage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Article\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.anthropic.com/candidate-ai-guidance\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"urn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"urn:li:article:7340433422727031236\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"author\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"image_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://media.licdn.com/dms/image/...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"occupation\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Data-Driven Recruiting...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"public_identifier\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"alison-bunnell\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Alison Bunnell\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Member\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://linkedin.com/in/alison-bunnell\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"urn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"urn:li:fsd_profile:...\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"comments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`30`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-12-05T18:11:00.510Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_repost\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"likes\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`714`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"reactions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`564`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"reaction_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"LIKE\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`76`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"reaction_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"EMPATHY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"share_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.linkedin.com/posts/alison-bunnell_...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"shared_post\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"shares\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`29`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"An inside scoop from an Anthropic recruiter's perspective...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.linkedin.com/feed/update/...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"urn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"urn:li:activity:7402771491890597888\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"shares\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Some great words from Alison Bunnell - she's absolutely right!\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.linkedin.com/feed/update/urn:li:activity:7402838588461125632\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"urn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"urn:li:activity:7402838588461125632\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"activity_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Repost\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"shared_post\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"attachments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"navigation_context\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"action_target\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.cbsnews.com/video/...\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Anthropic knows AI comes with risks...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ExternalVideo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"urn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"urn:li:article:9179999911804862012\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"website\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"cbsnews.com\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"author\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"image_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://media.licdn.com/dms/image/...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"occupation\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Chief Communications Officer, Anthropic\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"public_identifier\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sashademarigny\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Sasha de Marigny\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Member\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://linkedin.com/in/sashademarigny\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"urn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"urn:li:fsd_profile:...\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"comments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`12`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-11-17T12:25:07.148Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_repost\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"likes\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`502`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"mentions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"reactions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`387`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"reaction_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"LIKE\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`45`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"reaction_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"EMPATHY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"share_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.linkedin.com/posts/sashademarigny_...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"shared_post\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"shares\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`29`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"AI has the potential to compress a century...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.linkedin.com/feed/update/...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"urn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"urn:li:activity:7396021973555924992\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(Heading,{level:`2`,id:`the-person-activity-model`,children:`The person activity model`}),`\n`,_jsx(_components.p,{children:`This contains the structured data of a person’s recent activity on LinkedIn.`}),`\n`,_jsx(Heading,{level:`3`,id:`properties`,children:`Properties`}),`\n`,_jsx(ResponseField,{name:`cursor`,type:`string`,id:`param-cursor-1`,children:_jsx(_components.p,{children:`Pagination token for fetching more activities. Use this in the next request to get the next page. The cursor stays set until the page after the last item, so keep requesting until a page comes back empty or without a cursor. That final empty page is not charged. Page size varies, up to about 100, and a short page can appear in the middle of a list, so the number of items does not tell you a page is the last one.`})}),`\n`,_jsxs(ResponseField,{name:`message`,type:`array`,id:`param-message`,children:[_jsx(_components.p,{children:`List of activity items (posts, comments, reactions, articles).`}),_jsxs(Expandable,{title:`Activity object`,children:[_jsx(Heading,{level:`4`,id:`activity-details`,children:`Activity Details`}),_jsx(ResponseField,{name:`activity_type`,type:`string`,id:`param-activity-type`,children:_jsxs(_components.p,{children:[`Type of activity: “Post” or “Repost”. When “Repost”, the activity only contains a `,_jsx(_components.code,{children:`shared_post`}),` object.`]})}),_jsx(ResponseField,{name:`text`,type:`string`,id:`param-text`,children:_jsx(_components.p,{children:`Text content of the activity (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`url`,type:`string`,id:`param-url-1`,children:_jsx(_components.p,{children:`LinkedIn URL of the activity (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`urn`,type:`string`,id:`param-urn`,children:_jsx(_components.p,{children:`Unique LinkedIn URN identifier for the activity (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at`,children:_jsx(_components.p,{children:`ISO 8601 timestamp when the activity was created (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`share_url`,type:`string`,id:`param-share-url`,children:_jsx(_components.p,{children:`Direct shareable URL for the activity (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`share_urn`,type:`string`,id:`param-share-urn`,children:_jsxs(_components.p,{children:[`The post’s share-side URN, `,_jsx(_components.code,{children:`urn:li:share:\u003cid>`}),` or `,_jsx(_components.code,{children:`urn:li:ugcPost:\u003cid>`}),`: the same post as `,_jsx(_components.code,{children:`urn`}),` under a different number. Empty string when it was not returned for the post (only present for “Post” activity_type).`]})}),_jsxs(ResponseField,{name:`job`,type:`object | null`,id:`param-job`,children:[_jsxs(_components.p,{children:[`The job the post shares (“Check out this job at …”), or `,_jsx(_components.code,{children:`null`}),` when it shares none (only present for “Post” activity_type).`]}),_jsxs(Expandable,{title:`Job object`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id`,children:_jsx(_components.p,{children:`LinkedIn job id.`})}),_jsx(ResponseField,{name:`title`,type:`string`,id:`param-title`,children:_jsx(_components.p,{children:`Job title.`})}),_jsx(ResponseField,{name:`company`,type:`string`,id:`param-company`,children:_jsx(_components.p,{children:`Hiring company’s name.`})}),_jsx(ResponseField,{name:`company_logo`,type:`string`,id:`param-company-logo`,children:_jsx(_components.p,{children:`Hiring company’s logo URL.`})}),_jsx(ResponseField,{name:`location`,type:`string`,id:`param-location`,children:_jsx(_components.p,{children:`Job location as LinkedIn shows it.`})}),_jsx(ResponseField,{name:`workplace_type`,type:`string`,id:`param-workplace-type`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`\"On-site\"`}),`, `,_jsx(_components.code,{children:`\"Remote\"`}),` or `,_jsx(_components.code,{children:`\"Hybrid\"`}),`, when given.`]})}),_jsx(ResponseField,{name:`url`,type:`string`,id:`param-url-2`,children:_jsx(_components.p,{children:`Link to the job posting.`})})]})]}),_jsx(Heading,{level:`4`,id:`activity-type`,children:`Activity Type`}),_jsx(ResponseField,{name:`is_repost`,type:`boolean`,id:`param-is-repost`,children:_jsx(_components.p,{children:`Whether this activity is a repost/share (only present for “Post” activity_type).`})}),_jsx(Heading,{level:`4`,id:`activity-author-for-%E2%80%9Cpost%E2%80%9D-type-only`,children:`Activity Author (For “Post” type only)`}),_jsxs(ResponseField,{name:`author`,type:`object`,id:`param-author`,children:[_jsx(_components.p,{children:`Details about the activity author (only present for “Post” activity_type).`}),_jsxs(Expandable,{title:`Author object`,children:[_jsx(ResponseField,{name:`title`,type:`string`,id:`param-title-1`,children:_jsx(_components.p,{children:`Author’s name.`})}),_jsx(ResponseField,{name:`occupation`,type:`string`,id:`param-occupation`,children:_jsx(_components.p,{children:`Author’s LinkedIn headline.`})}),_jsx(ResponseField,{name:`public_identifier`,type:`string`,id:`param-public-identifier`,children:_jsx(_components.p,{children:`Author’s LinkedIn username.`})}),_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type-1`,children:_jsx(_components.p,{children:`Author type (“Member” or “Company”).`})}),_jsx(ResponseField,{name:`url`,type:`string`,id:`param-url-3`,children:_jsx(_components.p,{children:`LinkedIn profile/page URL.`})}),_jsx(ResponseField,{name:`image_url`,type:`string`,id:`param-image-url`,children:_jsx(_components.p,{children:`Profile picture URL.`})}),_jsx(ResponseField,{name:`logo`,type:`string`,id:`param-logo`,children:_jsx(_components.p,{children:`Company logo URL (for Company type).`})}),_jsx(ResponseField,{name:`urn`,type:`string`,id:`param-urn-1`,children:_jsxs(_components.p,{children:[`Author’s URN: `,_jsx(_components.code,{children:`urn:li:fsd_profile:\u003cACoA…>`}),` for a member, `,_jsx(_components.code,{children:`urn:li:fsd_company:\u003cid>`}),` for a company. Empty string when it could not be read.`]})}),_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`,children:_jsx(_components.p,{children:`Author’s numeric LinkedIn id: the member id for a person, the company id for a company. Empty string when it could not be read.`})})]})]}),_jsx(Heading,{level:`4`,id:`attachments-for-%E2%80%9Cpost%E2%80%9D-type-only`,children:`Attachments (For “Post” type only)`}),_jsxs(ResponseField,{name:`attachments`,type:`array`,id:`param-attachments`,children:[_jsx(_components.p,{children:`List of media attachments (only present for “Post” activity_type, can be null).`}),_jsxs(Expandable,{title:`Attachment object`,children:[_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type-2`,children:_jsx(_components.p,{children:`Type of attachment: “Article”, “Video”, “ExternalVideo”, “Image”, “Document”, etc.`})}),_jsx(ResponseField,{name:`url`,type:`string`,id:`param-url-4`,children:_jsx(_components.p,{children:`URL of the attachment or article.`})}),_jsx(ResponseField,{name:`title`,type:`string`,id:`param-title-2`,children:_jsx(_components.p,{children:`Title of the attachment.`})}),_jsx(ResponseField,{name:`subtitle`,type:`string`,id:`param-subtitle`,children:_jsx(_components.p,{children:`Subtitle or source.`})}),_jsx(ResponseField,{name:`text`,type:`string`,id:`param-text-1`,children:_jsx(_components.p,{children:`Description or caption.`})}),_jsx(ResponseField,{name:`urn`,type:`string`,id:`param-urn-2`,children:_jsx(_components.p,{children:`Attachment URN identifier.`})}),_jsx(ResponseField,{name:`duration`,type:`number`,id:`param-duration`,children:_jsx(_components.p,{children:`Video duration in milliseconds (for Video type).`})}),_jsx(ResponseField,{name:`website`,type:`string`,id:`param-website`,children:_jsx(_components.p,{children:`Website domain (for ExternalVideo/Article types).`})}),_jsx(ResponseField,{name:`navigation_context`,type:`object`,id:`param-navigation-context`,children:_jsx(_components.p,{children:`Navigation context with action_target URL (for ExternalVideo type).`})})]})]}),_jsx(Heading,{level:`4`,id:`engagement-metrics-for-%E2%80%9Cpost%E2%80%9D-type-only`,children:`Engagement Metrics (For “Post” type only)`}),_jsx(ResponseField,{name:`likes`,type:`number`,id:`param-likes`,children:_jsx(_components.p,{children:`Total number of likes/reactions (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`comments`,type:`number`,id:`param-comments`,children:_jsx(_components.p,{children:`Number of comments (only present for “Post” activity_type).`})}),_jsx(ResponseField,{name:`shares`,type:`number`,id:`param-shares`,children:_jsx(_components.p,{children:`Number of shares/reposts (only present for “Post” activity_type).`})}),_jsxs(ResponseField,{name:`reactions`,type:`array`,id:`param-reactions`,children:[_jsx(_components.p,{children:`Breakdown of reactions by type (only present for “Post” activity_type).`}),_jsxs(Expandable,{title:`Reaction object`,children:[_jsx(ResponseField,{name:`count`,type:`number`,id:`param-count`,children:_jsx(_components.p,{children:`Number of this reaction type.`})}),_jsx(ResponseField,{name:`reaction_type`,type:`string`,id:`param-reaction-type`,children:_jsx(_components.p,{children:`Type of reaction: “LIKE”, “PRAISE”, “EMPATHY”, “INTEREST”, “APPRECIATION”, “ENTERTAINMENT”, “MAYBE”, “FUNNY”.`})})]})]}),_jsx(Heading,{level:`4`,id:`mentions-%26-shares-for-%E2%80%9Cpost%E2%80%9D-type-only`,children:`Mentions \u0026 Shares (For “Post” type only)`}),_jsxs(ResponseField,{name:`mentions`,type:`array`,id:`param-mentions`,children:[_jsx(_components.p,{children:`List of @mentioned users/companies in the activity (only present for “Post” activity_type).`}),_jsxs(Expandable,{title:`Mention object`,children:[_jsx(ResponseField,{name:`entity_urn`,type:`string`,id:`param-entity-urn`,children:_jsx(_components.p,{children:`URN of the mentioned profile/company.`})}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`Name of the mentioned entity (when available).`})})]})]}),_jsx(Heading,{level:`4`,id:`comment-mentions-for-%E2%80%9Ccomment%E2%80%9D-and-%E2%80%9Creply%E2%80%9D-types`,children:`Comment mentions (For “Comment” and “Reply” types)`}),_jsx(ResponseField,{name:`comment`,type:`object`,id:`param-comment`,children:_jsxs(_components.p,{children:[`The comment itself. Its `,_jsx(_components.code,{children:`mentions`}),` array lists the people and companies tagged in the comment text, with the same fields as a post mention plus `,_jsx(_components.code,{children:`type`}),` (`,_jsx(_components.code,{children:`\"profileMention\"`}),` or `,_jsx(_components.code,{children:`\"companyMention\"`}),`). The top-level `,_jsx(_components.code,{children:`mentions`}),` on these items describes the post, not the comment.`]})}),_jsxs(ResponseField,{name:`shared_post`,type:`object`,id:`param-shared-post`,children:[_jsx(_components.p,{children:`Details of the shared/reposted content. For “Post” activity_type, this field is optional and contains details if the post is sharing another post. For “Repost” activity_type, this is the only content field present.`}),_jsxs(Expandable,{title:`Shared post object`,children:[_jsx(ResponseField,{name:`attachments`,type:`array`,id:`param-attachments-1`,children:_jsx(_components.p,{children:`Attachments from the original post.`})}),_jsx(ResponseField,{name:`author`,type:`object`,id:`param-author-1`,children:_jsx(_components.p,{children:`Original post author information.`})}),_jsx(ResponseField,{name:`text`,type:`string`,id:`param-text-2`,children:_jsx(_components.p,{children:`Original post text content.`})}),_jsx(ResponseField,{name:`url`,type:`string`,id:`param-url-5`,children:_jsx(_components.p,{children:`Original post URL.`})}),_jsx(ResponseField,{name:`urn`,type:`string`,id:`param-urn-3`,children:_jsx(_components.p,{children:`Original post URN.`})}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at-1`,children:_jsx(_components.p,{children:`When the original post was created.`})}),_jsx(ResponseField,{name:`likes`,type:`number`,id:`param-likes-1`,children:_jsx(_components.p,{children:`Original post likes count.`})}),_jsx(ResponseField,{name:`comments`,type:`number`,id:`param-comments-1`,children:_jsx(_components.p,{children:`Original post comments count.`})}),_jsx(ResponseField,{name:`shares`,type:`number`,id:`param-shares-1`,children:_jsx(_components.p,{children:`Original post shares count.`})}),_jsx(ResponseField,{name:`reactions`,type:`array`,id:`param-reactions-1`,children:_jsx(_components.p,{children:`Original post reactions breakdown.`})}),_jsx(ResponseField,{name:`share_url`,type:`string`,id:`param-share-url-1`,children:_jsx(_components.p,{children:`Original post shareable URL.`})}),_jsx(ResponseField,{name:`shared_post`,type:`object`,id:`param-shared-post-1`,children:_jsx(_components.p,{children:`Nested shared post (if the original was also a share).`})}),_jsx(ResponseField,{name:`is_repost`,type:`boolean`,id:`param-is-repost-1`,children:_jsx(_components.p,{children:`Whether the original post was a repost.`})}),_jsx(ResponseField,{name:`mentions`,type:`array`,id:`param-mentions-1`,children:_jsx(_components.p,{children:`Mentions in the original post.`})})]})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Person Activity","api":"POST https://api.datamagnet.co/api/v1/person/activity","description":"Retrieve a LinkedIn member's recent activity by profile URL, including posts, comments, likes, and shares for engagement monitoring workflows.","href":"/api-reference/endpoints/people-activity"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Person Activity","slug":"person-activity","depth":1,"children":[]},{"title":"Person activity endpoint","slug":"person-activity-endpoint","depth":2,"children":[{"title":"Required attributes","slug":"required-attributes","depth":3,"children":[]},{"title":"Optional attributes","slug":"optional-attributes","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]}]},{"title":"The person activity model","slug":"the-person-activity-model","depth":2,"children":[{"title":"Properties","slug":"properties","depth":3,"children":[]}]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"Response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"111\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"cursor\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"eyJjb3VudCI6MTAwLCJzdGFydCI6MTAwLCJwYWdpbmF0aW9uVG9rZW4i...\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"activity_type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Post\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"attachments\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"author\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"image_url\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://media.licdn.com/dms/image/...\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"occupation\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Head of Talent, Anthropic\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"public_identifier\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"gouldjames\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"title\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Jimmy Gould\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Member\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"url\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://linkedin.com/in/gouldjames\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"urn\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"urn:li:fsd_profile:ACoAAAANoqwBhs9WE_vNa9Ias3JiEUUO0F4iTDk\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"comments\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2025-12-05T22:37:37.579Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_repost\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=
[...]
